Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

GModels is actually derived from GOptimizerPars, yet both are container classes for different things. GModels contains models while

GOptimizerPars contains parameters.

The relation between GModels and GOptimizerPars should be rethought to see if a more logical and clearer relationship can be

defined. This will not change the actual workings, but should make the code more clear.

History

#1 - 02/20/2012 06:07 PM - Knödlseder Jürgen

- Priority changed from Normal to Low

#2 - 12/21/2012 12:41 AM - Knödlseder Jürgen

- Target version set to 00-08-00

#3 - 12/11/2013 10:18 PM - Knödlseder Jürgen

- Target version deleted (00-08-00)

#4 - 12/18/2013 05:04 PM - Knödlseder Jürgen

The following GModelPar method are actually used by GOptimizerLM:

isfree()

fix()

name()

factor_gradient()

factor_value()

factor_min()

factor_max()

hasmin()

hasmax()

factor_error()

Hence only a small subset of the GModelPar methods are not used.

So I suggest to introduce a GOptimizerPar method from which GModelPar will derive (eventually, GModelPar may disappear later).

GOptimizerPars should then became a real container class of GOptimizerPar objects (the container will hold pointers to these objects).

GModels will not derive from GOptimizerPars but will have a method that returns a GOptimizerPars object containing pointers to the model

parameters in GModels. This needs some logic that GOptimizerPars can handle internally allocated parameters, but also externally managed

parameters.
#5 - 12/18/2013 10:00 PM - Knödlseder Jürgen

- Target version set to 00-08-00

#6 - 12/18/2013 10:02 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 50

GModels no longer derives from GOptimizerPars. The implementation of GOptimizerPars as standalone container has started. The GModels::pars()

method now extract the model parameters as a flat array into a GOptimizerPars instance.

GOptimizerPars is a container of GOptimizerPar objects. GModelPar now derives from GOptimizerPar.

#7 - 12/18/2013 11:57 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 50 to 80

The GOptimizerPars class is not fully complete. Also NEWS / ChangeLog need to be updated.

#8 - 12/19/2013 06:24 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Done.
